package com.smppw.core.trend;



import com.smppw.common.pojo.dto.CompoundRet;
import com.smppw.common.pojo.dto.DateValue;

import java.util.ArrayList;
import java.util.List;

public abstract class Trend {
    public List<DateValue> getDateValueTrend(List<String> dateList, List<DateValue> secNavList, List<DateValue> benchmarkNavList) {
        return new ArrayList<>();
    }

    public List<CompoundRet> getCompoundRetTrend(List<DateValue> secNavList, List<CompoundRet> retList, List<CompoundRet> benchmarkRetList) {
        return new ArrayList<>();
    }
}
